For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog in
DocumentationAPI ReferenceModel VersioningChangelog
DocumentationAPI ReferenceModel VersioningChangelog
    • Authentication
    • API Versioning
    • Deployments
    • Error Handling
  • Endpoints
      • POSTRun Workflow
      • POSTBatch Run Workflow
      • GETGet Workflow Run
      • POSTUpdate Workflow Run
      • POSTCancel Workflow Run
      • DELDelete Workflow Run
      • GETList Workflow Runs
      • POSTCreate Workflow
      • GETGet Workflow
      • POSTUpdate Workflow
      • GETList Workflows
      • POSTCreate Workflow Version
      • GETGet Workflow Version
      • GETList Workflow Versions
  • Webhook Events
LogoLogo
Book a demoLog in
EndpointsWorkflows

Get Workflow Version

GET
/workflows/:id/versions/:versionId
GET
/workflows/:id/versions/:versionId
1from extend_ai import Extend
2
3client = Extend(
4 token="YOUR_TOKEN_HERE",
5 extend_api_version="2026-02-09",
6)
7
8client.workflow_versions.retrieve(
9 id="workflow_abc123",
10 version_id="draft",
11)
1{
2 "object": "workflow_version",
3 "id": "workflow_version_Zk9mNP12Qw4-yTv8BdR3H",
4 "version": "1",
5 "name": "Production v1",
6 "steps": [
7 {
8 "name": "string",
9 "type": "TRIGGER",
10 "next": [
11 {
12 "step": "parse"
13 }
14 ]
15 }
16 ],
17 "createdAt": "2024-03-21T16:45:00Z"
18}
Get a specific version of a workflow, including its step definitions.
Was this page helpful?
Previous

List Workflow Versions

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the workflow.
versionIdstringRequired
The version to retrieve. Accepts any of the following: - `"draft"` — returns the current draft version - `"latest"` — returns the latest published version (falls back to draft if none published) - A version number (e.g. `"1"`, `"2"`) — returns that specific published version - A version ID (e.g. `"workflow_version_abc123"`) — returns that specific version by ID

Headers

x-extend-api-version"2026-02-09"OptionalDefaults to 2026-02-09
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/api-reference/api-versioning) for more details.

Response

Version details
objectenum

The type of object. Always "workflow_version".

Allowed values:
idstring
The ID of the workflow version.
versionstring

The version number as a string, or "draft" for the draft version.

namestring or null
The name of the workflow version.
stepslist of objects
The step definitions for this version.
createdAtstringformat: "date-time"

The time (in UTC) at which the object was created. Will follow the RFC 3339 format.

Example: "2024-03-21T16:45:00Z"

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

The version to retrieve. Accepts any of the following:

  • "draft" — returns the current draft version
  • "latest" — returns the latest published version (falls back to draft if none published)
  • A version number (e.g. "1", "2") — returns that specific published version
  • A version ID (e.g. "workflow_version_abc123") — returns that specific version by ID

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.